# Function format

Overload implementation.

#### Param: args

The function arguments.

- format(num): string

- Formats a number for display in the current locale.

  #### Parameters

  - num: number

    The number to format.

  #### Returns string

- format(format, num): string

- Formats a number for display.

  #### Parameters

  - format: string

    See utilities/format/number!NumberFormatter.format.

  - num: number

    The number to format.

  #### Returns string

- format(options, num): string

- Formats a number for display.

  #### Parameters

  - options: FormatOptions

    Specifies the format settings to use.

  - num: number

    The number to format.

  #### Returns string